summaryrefslogtreecommitdiffhomepage
path: root/autogen.sh
diff options
context:
space:
mode:
authorJose Antonio Ortega Ruiz <jao@gnu.org>2004-06-05 20:19:40 +0000
committerJose Antonio Ortega Ruiz <jao@gnu.org>2004-06-05 20:19:40 +0000
commitbb395848c5dcc2dd2a36eab54126da34cd59d491 (patch)
treeeb82fc29fbad7f0579a88c44533851b05cad43c3 /autogen.sh
parentbd81be89b5c24c4c5eb37941ebe599849571c99c (diff)
downloadmdk-bb395848c5dcc2dd2a36eab54126da34cd59d491.tar.gz
mdk-bb395848c5dcc2dd2a36eab54126da34cd59d491.tar.bz2
error messages improved and autotools versions updated.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh40
1 files changed, 17 insertions, 23 deletions
diff --git a/autogen.sh b/autogen.sh
index 0b18273..6b65a97 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -16,28 +16,24 @@ grep "^AM_GNU_GETTEXT" $srcdir/configure.in >/dev/null && {
(gettext --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have \`gettext' installed to compile $PROJECT."
- echo "Download the appropriate package for your distribution,"
- echo "or get ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
- echo "(or a newer version if it is available)"
+ echo "(0.13.1 or a newer version if it is available)"
DIE=1
}
}
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
+ echo
+ echo "**Error**: You must have autoconf installed to compile $PROJECT."
+ echo "(2.53 or a newer version if it is available)"
+ DIE=1
}
(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://sourceware.cygnus.com/pub/automake/automake-1.4.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
- NO_AUTOMAKE=yes
+ echo
+ echo "**Error**: You must have automake installed to compile $PROJECT."
+ echo "(1.5 or a newer version if it is available)"
+ DIE=1
+ NO_AUTOMAKE=yes
}
# if no automake, don't bother testing for aclocal
@@ -45,24 +41,22 @@ test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: Missing \`aclocal'. The version of \`automake'"
echo "installed doesn't appear recent enough."
- echo "Get ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
- echo "(or a newer version if it is available)"
DIE=1
}
if test "$DIE" -eq 1; then
- exit 1
+ exit 1
fi
test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
+ echo "You must run this script in the top-level $PROJECT directory"
+ exit 1
}
if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
+ echo "I am going to run ./configure with no arguments - if you wish "
+ echo "to pass any to it, please specify them on the $0 command line."
fi
case $CC in
@@ -70,7 +64,7 @@ case $CC in
esac
echo "Running gettext's autopoint..."
-autopoint --force
+autopoint --force
ACLOCAL_FLAGS="-I m4"
echo "Running aclocal ..."
@@ -89,4 +83,4 @@ cd $ORIGDIR
$srcdir/configure --enable-maintainer-mode "$@"
echo
-echo "Now type 'make' to compile $PROJECT."
+echo "Now run GNU Make to compile $PROJECT."